<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/*                                                                      */
/* NPDS Copyright (c) 2002-2013 by Philippe Brunier                     */
/* IZ-Xinstall version : 1.1.3                                          */
/*                                                                      */
/* Auteurs : v.0.1.0 EBH (plan.net@free.fr)                             */
/*         : v.1.1.1 jpb, phr                                           */
/*         : v.1.1.2 jpb, phr, dev, boris                               */
/*         : v.1.1.3 dev - 2013                                         */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

function ins_translate($phrase) {
 switch($phrase) {
  case "Nouvelle installation": $tmp = "neue Anlag"; break;
  case "Bienvenue": $tmp = "Willkommen"; break;
  case "Langue": $tmp = "Sprache"; break;
  case "Licence": $tmp = "Lizenz"; break;
  case "Fichier de licence indisponible !": $tmp = "Lizenz-Datei ist verfgbar!"; break;
  case "Vrification des fichiers": $tmp = "Dateien berprfen"; break;
  case "Paramtres de connexion": $tmp = "Verbindungsparameter"; break;
  case "Autres paramtres": $tmp = "Andere Parameter"; break;
  case "Base de donnes": $tmp = "Datenbank"; break;
  case "Compte Admin": $tmp = "Benutzer Zugang"; break;
  case "Module UPload": $tmp = "Upload Modul"; break;
  case "Fin": $tmp = "Ende"; break;
  case "L'utilisation de NPDS est soumise  l'acceptation des termes de la licence GNU GPL ": $tmp = "Die Nutzung von NPDS setzt Ihre Zustimmung zur GNU GPL Lizenz voraus "; break;
  case " J'accepte ": $tmp = " Ich stimme zu "; break;
  case "Remarque : cette opration peut tre plus ou moins longue. Merci de patienter.": $tmp = "Der Vorgang kann lnger dauern. Bitte haben Sie Geduld."; break;
  case "Le fichier": $tmp = "Die Datei"; break;
  case "est introuvable !": $tmp = "ist nicht auffindbar"; break;
  case "Conseil : utilisez votre client FTP favori pour effectuer ces modifications puis faites 'Actualiser'.": $tmp = "Tipp : Benutzen Sie Ihr FTP Programm um die nderungen vorzunehmen und klicken Sie dann auf 'Aktualisieren'."; break;
  case " Actualiser ": $tmp = " Aktualisieren "; break;
  case "Version actuelle de PHP": $tmp = "Aktuelle PHP Version"; break;
  case "NPDS ncessite une version 4.0.6 ou suprieure !": $tmp = "PHP Version 4.0.6 oder hher ist notwendig fr NPDS !"; break;
  case "Prfixe des tables sql": $tmp = "Sql Tabellen Prefix"; break;
  case "Droits d'accs du fichier ": $tmp = "Dateizugriffsrechte fr "; break;
  case "Le fichier 'abla.log.php' est introuvable !": $tmp = "Die Datei 'abla.log.php' fehlt !"; break;
  case "Le fichier 'cache.config.php' est introuvable !": $tmp = "Die Datei 'cache.config.php' fehlt !"; break;
  case "Le fichier 'config.php' est introuvable !": $tmp = "Die Datei 'config.php' fehlt !"; break;
  case "Le fichier 'filemanager.conf' est introuvable !": $tmp = "Die Datei 'filemanager.conf' fehlt !"; break;
  case "Le fichier 'logs/security.log' est introuvable !": $tmp = "Die Datei 'logs/security.log' fehlt !"; break;
  case "Le fichier 'meta/meta.php' est introuvable !": $tmp = "Die Datei 'meta/meta.php' fehlt !"; break;
  case "Le fichier 'static/edito.txt' est introuvable !": $tmp = "Die Datei 'static/edito.txt' fehlt !"; break;
  case "Le fichier 'static/edito_membres.txt' est introuvable !": $tmp = "Die Datei 'static/edito_membres.txt' fehlt !"; break;
  case "Le fichier 'modules/upload/upload.conf.php' est introuvable !": $tmp = "Die Datei 'modules/upload/upload.conf.php' fehlt !"; break;
  case "corrects": $tmp = "OK"; break;
  case "incorrects": $tmp = "schlecht"; break;
  case "Vous devez modifier les droits d'accs (lecture/criture) du fichier ": $tmp = "Sie mssen die Zugriffsrechte (lesen/schreiben) der Datei ndern "; break;
  case " Etape suivante ": $tmp = " Nchster Schritt "; break;
  case " Etape suivante >> ": $tmp = " Nchster Schritt >> "; break;
  case "Vos paramtres personnels": $tmp = "Ihre persnlichen Parameter"; break;
  case "Nom d'hte du serveur mySQL": $tmp = "MySQL Server Hostnamen"; break;
  case "Nom d'utilisateur (identifiant)": $tmp = "Benutzername (login)"; break;
  case "Mot de passe": $tmp = "Passwort"; break;
  case "Nom de la base de donnes": $tmp = "Datenbank Name"; break;
  case "Pour viter les conflits de nom de table sql...": $tmp = "Um SQL Datenbanknamenskonflikte zu vermeiden..."; break;
  case "souvent identique  l'identifiant": $tmp = "Oft gleich der Identifikation"; break;
  case "Type de connexion au serveur mySQL": $tmp = "MySQL Server Verbindung"; break;
  case "Non permanente": $tmp = "Nicht permanent"; break;
  case "Permanente": $tmp = "Permanent"; break;
  case "Systme hte": $tmp = "Host System"; break;
  case "Cryptage des mots de passe administrateur(s)/auteur(s)": $tmp = "Verschlssele Administrator(en)/Autor(en) Passwort(e)"; break;
  case "Non": $tmp = "Nein"; break;
  case "Oui": $tmp = "Ja"; break;
  case "Adresse e-mail de l'administrateur": $tmp = "Administratoren E-mail"; break;
  case " Valider ": $tmp = " OK "; break;
  case " Modifier ": $tmp = " ndern "; break;
  case "Fichier de configuration": $tmp = "Konfigurationsdatei"; break;
  case "Le fichier de configuration a t crit avec succs !": $tmp = "Die Konfigurationsdatei wurde erfolgreich geschrieben !"; break;
  case "Le fichier de configuration n'a pas pu tre modifi. Vrifiez les droits d'accs au fichier 'config.php', puis ressayez  nouveau.": $tmp = "Die Konfigurationsdatei konnte nicht gendert werden. Bitte berprfen Sie die Rechte der 'config.php' und versuchen Sie es erneut."; break;
  case "Autres paramtres": $tmp = "Andere Parameter"; break;
  case "Adresse (URL) de votre site": $tmp = "Addresse (URL) Ihrer Webseite"; break;
  case "Nom de votre site": $tmp = "Name Ihrer Website"; break;
  case "Intitul de votre site": $tmp = "Titel Ihrer Website"; break;
  case "Slogan de votre site": $tmp = "Slogan Ihrer Website"; break;
  case "Thme graphique": $tmp = "Template Ihrer Webseite"; break;
  case "Erreur : la base de donnes est inexistante et n'a pas pu tre cre. Vous devez la crer manuellement ou demander  votre hbergeur !": $tmp = "Fehler : Die Datenbank ist nicht vorhanden und die Tabellen knnen nicht angelegt werden. Sie mssen diese manuell anlegen, oder fragen Sie Ihren Hoster !"; break;
  case "Erreur : la connexion  la base de donnes a chou. Vrifiez vos paramtres !": $tmp = "Fehler : keine Verbindung zur Datenbank. berprfen Sie die Einstellungen !"; break;
  case "Nous allons maintenant procder  la cration des tables de la base de donnes ": $tmp = "Jetzt werden die Datenbanktabellen angelegt "; break;
  case "sur le serveur d'hbergement": $tmp = "auf dem Hostserver"; break;
  case "Si votre base de donnes comporte dj des tables, veuillez en faire une sauvegarde avant de poursuivre !<br /><br />": $tmp = "Wenn Ihre Datenbank nicht leer ist, machen Sie ein Backup, bevor Sie fortfahren !<br /><br />"; break;
  case "Si la base de donnes": $tmp = "Wenn die Datenbank"; break;
  case " Tables prfixes avec : ": $tmp = "Tabellen mit dem Prefix: "; break;
  case "n'existait pas ce script tentera de la crer pour vous.": $tmp = "existiert nicht und wird fr Sie angelegt."; break;
  case "Nous allons maintenant procder  la mise  jour de la base de donnes. Il est recommand de faire une sauvegarde de celle-ci avant de poursuivre !": $tmp = "Nun wird ein Datenbank Update gemacht. Tipp : Sichern Sie vorher die vorhandene Datenbank !"; break;
  case " Crer ": $tmp = " Erstellen "; break;
  case " Mettre  jour ": $tmp = " Updaten "; break;
  case "La base de donnes a t cre avec succs !": $tmp = "Die Datenbank wurde erfolgreich angelegt !"; break;
  case "La base de donnes n'a pas pu tre cre. Vrifiez les paramtres ainsi que vos fichiers, puis ressayez  nouveau.": $tmp = "Anlegen der Datenbank nicht erfolgreich. berprfen Sie die Parameter und versuchen Sie es erneut."; break;
  case "La base de donnes a t mise  jour avec succs !": $tmp = "Datenbankupdate erfolgreich !"; break;
  case "La base de donnes n'a pas pu tre modifie. Vrifiez les paramtres ainsi que vos fichiers, puis ressayez  nouveau.": $tmp = "Datenbankupdate nicht erfolgreich. berprfen Sie die Einstellungen und versuchen Sie es erneut."; break;
  case "Remarque : veuillez valider les prfrences dans l'interface d'administration pour achever la mise  jour.": $tmp = "Notiz : Sie mssen die Administrationseinstellungen verifizieren um sie zu speichern.";
  case "Copier le contenu de votre dossier /logs dans le dossier /slogs puis supprimer le dossier /logs":$tmp = "Kopieren Sie den Inhalt des /logs Ordners in den /slogs Ordner und lschen Sie dann den /logs Ordner"; break;
  case "Votre version de NPDS est incorrecte, version requise": $tmp = "Falsche NPDS Version, Sie bentigen"; break;
  case "Administrateur": $tmp = "Administrator"; break;
  case "Identifiant": $tmp = "Login"; break;
  case "Mot de passe": $tmp = "Passwort"; break;
  case "Une seconde fois": $tmp = "Nochmal"; break;
  case "Premier utilisateur": $tmp = "Erster Benutzer"; break;
  case "Le compte Admin a t modifi avec succs !": $tmp = "Der Adminzugang wurde erfolgreich gendert !"; break;
  case "Le compte Admin n'a pas pu tre modifi. Vrifiez les paramtres ainsi que vos fichiers, puis ressayez  nouveau.": $tmp = "Der Adminzugang konnte nicht gendert werden. berprfen Sie die Einstellungen und versuchen Sie es erneut."; break;
  case "Remarque": $tmp = "Notiz"; break;
  case "caractres minimum": $tmp = "Buchstaben minimal"; break;
  case "Configuration du module UPload": $tmp = "Upload Modul Konfiguration"; break;
  case "Taille maxi des fichiers en octets": $tmp = "Max. Dateigrsse in bytes"; break;
  case "Chemin physique absolu d'accs depuis la racine de votre site": $tmp = "Physikalische Adresse von / Zu Ihrer Webseite"; break;
  case "Exemples : /data/www/mon_site OU c:\web\mon_site": $tmp = "Beispiel: /data/www/my_website OR c:\web\my_website"; break;
  case "Autoriser l'upload dans le rpertoire personnel": $tmp = "Den Upload ins eigene Verzeichnis autorisieren"; break;
  case "Rpertoire de votre site": $tmp = "Pfad Ihrer Webseite"; break;
  case "Exemples :": $tmp = "Beispiel :"; break;
  case "Exemple par dfaut ou SI vous ne savez pas": $tmp = "Beispiel Standart oder wenn Sie nicht wissen"; break;
  case "Exemples SI redirection": $tmp = "Beispiel WENN Umleitung"; break;
  case "Rpertoire de tlchargement": $tmp = "Upload Pfad"; break;
  case "Rpertoire des fichiers temporaires": $tmp = "Pfad fr temporre Dateien"; break;
  case "Fichier journal de scurit": $tmp = "Sicherheits Log Datei"; break;
  case "URL HTTP de votre site": $tmp = "URL HTTP Ihrer Webseite"; break;
  case "Flicitations, vous avez  prsent votre portail NPDS.": $tmp = "Glckwunsch, Ihre NPDS Webseite wurde erstellt."; break;
  case "N'oubliez pas de supprimer depuis votre client FTP le rpertoire 'install/' ainsi que le fichier 'install.php' !": $tmp = "Vergessen Sie nicht den 'install/' Ordner und die 'install.php' Datei zu lschen!"; break;
  case " Quitter ": $tmp = " Beenden "; break;
  default: $tmp = "Muss bersetzt werden [** $phrase **]"; break;
 }
 return $tmp;
}
?>